#!/bin/bash

source /etc/backup.cfg

host=`hostname -f`

ssh -i /root/.ssh/id_rsa-backup -o StrictHostKeyChecking=no ceitec-backup-api@storage-ceitec1.ceitec.muni.cz "mkdir -p desktop-backups/$CLUSTER/$host &> /dev/null"
for i in ${DIRS[@]}; do
   rsync -avx --delete --safe-links --no-specials --no-devices --inplace --no-whole-file -e "ssh -i /root/.ssh/id_rsa-backup -o StrictHostKeyChecking=no -l ceitec-backup-api" -M--fake-super $i storage-ceitec1.ceitec.muni.cz:desktop-backups/$CLUSTER/$host/ &> /tmp/backup.$$.log
   if [[ ! ( ($? -eq 0) || ($? -eq 24) ) ]]; then
      sendmail -f root@`hostname -f` xhejtman@ics.muni.cz <<EOF
From: root@`hostname -f`
To: xhejtman@ics.muni.cz
Subject: HSM Backup error on `hostname -f`

`cat /tmp/backup.$$.log`
EOF
   fi
   rm -f /tmp/backup.$$.log
done

